'------------------------------------------------------------------------------
' <auto-generated>
'     このコードはテンプレートから生成されました。
'
'     このファイルを手動で変更すると、アプリケーションで予期しない動作が発生する可能性があります。
'     このファイルに対する手動の変更は、コードが再生成されると上書きされます。
' </auto-generated>
'------------------------------------------------------------------------------

Imports System
Imports System.Collections.Generic

Partial Public Class Student
    Public Property StudentID As Integer
    Public Property StudentName As String
    Public Property StandardId As Nullable(Of Integer)
    Public Property RowVersion As Byte()

    Public Overridable Property Standard As Standard
    Public Overridable Property StudentAddress As StudentAddress
    Public Overridable Property Courses As ICollection(Of Course) = New HashSet(Of Course)

End Class
